package sqlite

import "github.com/jmoiron/sqlx"

const (
	createUserSql = `CREATE TABLE IF NOT EXISTS db_unis_aisub (userid TEXT NOT NULL,is_sub INTEGER,CONSTRAINT db_unis_aisub_pk PRIMARY KEY (userid));`

	createResStoreSql = `CREATE TABLE IF NOT EXISTS db_unis_res_store (key TEXT NOT NULL,value TEXT,channel INTEGER, CONSTRAINT db_unis_res_pk PRIMARY KEY (key,channel));`
)

type Sqlite3 struct {
	Db *sqlx.DB
}

func (s *Sqlite3) GetDb() *sqlx.DB {
	return s.Db
}

func (s *Sqlite3) CreateUserSql() string {
	return createUserSql
}

func (s *Sqlite3) CreateResStoreSql() string {
	return createResStoreSql
}
